# File.h file

A file.

### Contents

- Reference
  - Functions

## Functions

void foo(int bar)
  A function.
void bar(int foo)
  This produces warnings.

## Function documentation

### void foo(int bar)

A function.

Parameters
bar | A param.
Returns | Does not return anything.

#### A top-level header

##### A second-level header

###### A third-level header

#### Usage

This is usage.

##### More

A subsection.

###### More.

Mooore.

### void bar(int foo)

This produces warnings.

###### Markdown heading 4 that's rendered the same as 3

Markdown heading, underlined, is misparsed